CVC4::BitVectorExtract Struct Reference

The structure representing the extraction operation for bit-vectors. More...

`#include <bitvector.h>`

## Public Member Functions

| BitVectorExtract (unsigned high, unsigned low)
bool | operator== (const BitVectorExtract &extract) const

## Data Fields

unsigned | high
| The high bit of the range for this extract.
unsigned | low
| The low bit of the range for this extract.

## Detailed Description

The structure representing the extraction operation for bit-vectors.

The operation maps bit-vectors to bit-vector of size `high - low + 1` by taking the bits at indices `high ... low`

Definition at line 403 of file bitvector.h.

## Constructor & Destructor Documentation

## BitVectorExtract()

CVC4::BitVectorExtract::BitVectorExtract | ( | unsigned | high,
|  | unsigned | low )

inline

Definition at line 409 of file bitvector.h.

## Member Function Documentation

## operator==()

bool CVC4::BitVectorExtract::operator== | ( | const BitVectorExtract & | extract | ) | const

inline

Definition at line 412 of file bitvector.h.

References high, and low.

## Field Documentation

## high

unsigned CVC4::BitVectorExtract::high

The high bit of the range for this extract.

Definition at line 405 of file bitvector.h.

Referenced by CVC4::BitVectorExtractHashFunction::operator()(), CVC4::operator<<(), and operator==().

## low

unsigned CVC4::BitVectorExtract::low

The low bit of the range for this extract.

Definition at line 407 of file bitvector.h.

Referenced by CVC4::BitVectorExtractHashFunction::operator()(), CVC4::operator<<(), and operator==().

The documentation for this struct was generated from the following file:

- src/util/bitvector.h